PETSc version 3.15.5
Fix/Edit manual page

# TSComputeSNESJacobian

Compute the SNESJacobian

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeSNESJacobian(TS ts,Vec x,Mat J,Mat Jpre)

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| x | - state vector

### Output Parameters

| J | - Jacobian matrix
| Jpre | - preconditioning matrix for J (may be same as J)

### Notes

Using SNES to compute the Jacobian enables finite differencing when TS Jacobian is not available.

### Level

developer

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages